Bug 1723012

Summary: regex error when downloading from youtube
Product: [Fedora] Fedora Reporter: Basil Eric Rabi <ericbasil.rabi>
Component: youtube-dlAssignee: Till Maas <opensource>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: 4kuchibh, opensource, rafalzaq, tim
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: youtube-dl-2019.06.21-1.fc30 youtube-dl-2019.06.21-1.fc29 youtube-dl-2019.07.30-1.el7 youtube-dl-2019.09.12.1-1.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-25 01:26:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Basil Eric Rabi 2019-06-22 02:05:32 UTC
Description of problem:
Unable to download videos from youtube.

Version-Release number of selected component (if applicable):
2019.06.08

How reproducible:
Always


Steps to Reproduce:
1. youtube-dl https://www.youtube.com/watch?v=FEe6zhDnAJI --verbose

Actual results:
[debug] System config: ['--prefer-free-formats']
[debug] User config: []
[debug] Custom config: []
[debug] Command-line args: ['https://www.youtube.com/watch?v=FEe6zhDnAJI', '--verbose']
[debug] Encodings: locale UTF-8, fs utf-8, out UTF-8, pref UTF-8
[debug] youtube-dl version 2019.06.08
[debug] Python version 3.7.3 (CPython) - Linux-5.1.11-300.fc30.x86_64-x86_64-with-fedora-30-Thirty
[debug] exe versions: ffmpeg 4.1.3, ffprobe 4.1.3, phantomjs 2.1.1
[debug] Proxy map: {}
[youtube] FEe6zhDnAJI: Downloading webpage
[youtube] FEe6zhDnAJI: Downloading video info webpage
[youtube] {43} signature length 104, html5 player vfl49f_g4
[youtube] FEe6zhDnAJI: Downloading player https://www.youtube.com/yts/jsbin/player_ias-vfl49f_g4/en_US/base.js
ERROR: Signature extraction failed: Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1342, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1250, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1314, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/common.py", line 1005, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
 (caused by RegexNotFoundError('Unable to extract \x1b[0;34mInitial JS player signature function name\x1b[0m; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.')); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1342, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1250, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1314, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/common.py", line 1005, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1342, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1250, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1314, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/common.py", line 1005, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/youtube_dl/YoutubeDL.py", line 795, in extract_info
    ie_result = ie.extract(url)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/common.py", line 530, in extract
    ie_result = self._real_extract(url)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1986, in _real_extract
    encrypted_sig, video_id, player_url, age_gate)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1352, in _decrypt_signature
    'Signature extraction failed: ' + tb, cause=e)
youtube_dl.utils.ExtractorError: Signature extraction failed: Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1342, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1250, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1314, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/common.py", line 1005, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name;


Expected results:
Video is downloaded

Additional info:
From the release notes of version 2019.06.21, they said this issue is fixed.

Comment 1 Fedora Update System 2019-06-23 21:07:27 UTC
FEDORA-EPEL-2019-6cfef9aad8 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6cfef9aad8

Comment 2 Fedora Update System 2019-06-23 21:07:37 UTC
FEDORA-EPEL-2019-21e0a2b48c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-21e0a2b48c

Comment 3 Fedora Update System 2019-06-23 21:07:38 UTC
FEDORA-2019-e417b3ada6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e417b3ada6

Comment 4 Fedora Update System 2019-06-24 02:09:59 UTC
youtube-dl-2019.06.21-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-21e0a2b48c

Comment 5 Fedora Update System 2019-06-24 02:12:25 UTC
youtube-dl-2019.06.21-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6cfef9aad8

Comment 6 Fedora Update System 2019-06-24 02:41:29 UTC
youtube-dl-2019.06.21-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e417b3ada6

Comment 7 Fedora Update System 2019-06-24 13:04:11 UTC
youtube-dl-2019.06.21-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a4964db55

Comment 8 Fedora Update System 2019-06-25 01:26:11 UTC
youtube-dl-2019.06.21-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-07-27 05:17:15 UTC
youtube-dl-2019.06.21-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-07-30 21:12:45 UTC
FEDORA-EPEL-2019-7c4fe32880 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 11 Fedora Update System 2019-07-31 03:48:20 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 12 Fedora Update System 2019-08-15 17:36:00 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-09-11 20:17:05 UTC
FEDORA-EPEL-2019-210511c413 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-210511c413

Comment 14 Fedora Update System 2019-09-11 20:26:57 UTC
FEDORA-EPEL-2019-52efaebea1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52efaebea1

Comment 15 Fedora Update System 2019-09-12 21:41:18 UTC
youtube-dl-2019.09.12.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52efaebea1

Comment 16 Fedora Update System 2019-09-27 00:52:05 UTC
youtube-dl-2019.09.12.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.